$(document).ready(function(){


    $('.btnGuardarDatos').click(function (e){
        e.preventDefault();
        funciones.showHideButtonLoading('.btnGuardarDatos');
        $.post( $("#frmDatosGenerales").attr("action"), $("#frmDatosGenerales").serializeArray(), function(response) {
            if(funciones.showMensajeByResponse("#frmDatosGenerales",response) === true){
                //location.reload();
            }
        })
        .fail(function(response) {

        })
        .always(function(response) {
            funciones.showHideButtonLoading('.btnGuardarDatos');
        });
    });

    $('.btnGuardarResponsable').click(function (e){
        e.preventDefault();
        funciones.showHideButtonLoading('.btnGuardarResponsable');
        $.post( $("#frmDatosResponsable").attr("action"), $("#frmDatosResponsable").serializeArray(), function(response) {
            if(funciones.showMensajeByResponse("#frmDatosResponsable",response) === true){
                //location.reload();
            }
        })
        .fail(function(response) {

        })
        .always(function(response) {
            funciones.showHideButtonLoading('.btnGuardarResponsable');
        });
    });

    $('.cambiarFoto').click(function (e){
        e.preventDefault();

        $('#persFoto').click();

    });

    $('.cambiarImagen').click(function (e){
        e.preventDefault();

        $('#persImagen').click();

    });

    $('#persFoto').change(function (e) {
        e.preventDefault();

        var pers_id = $(this).attr('pers_id');

        var fd = new FormData();
        fd.append("pers_id", pers_id);
        fd.append("tipo", 'FOTO');
        fd.append("pers_foto", $('#persFoto')[0].files[0]);

        $.ajax({
            url: $("#frmDatosResponsable").attr("action"),
            type: 'POST',
            data: fd,
            success: function (response) {
                    alertify.success("Foto actualizada correctamente");
                    location.reload();
            },
            cache: false,
            contentType: false,
            processData: false
        }).fail(function (e) {

        }).always(function () {
            funciones.showHideButtonLoading(This);
        });

    });

    $('#persImagen').change(function (e) {
        e.preventDefault();

        var pers_id = $(this).attr('pers_id');

        var fd = new FormData();
        fd.append("pers_id", pers_id);
        fd.append("tipo", 'IMAGEN');
        fd.append("pers_imagen", $('#persImagen')[0].files[0]);

        $.ajax({
            url: $("#frmDatosResponsable").attr("action"),
            type: 'POST',
            data: fd,
            success: function (response) {
                alertify.success("Foto actualizada correctamente");
                location.reload();
            },
            cache: false,
            contentType: false,
            processData: false
        }).fail(function (e) {

        }).always(function () {
            funciones.showHideButtonLoading(This);
        });

    });

});


